Bug 343123 - When generate a new openPGP keyring, it didn't add a subkey by default
Summary: When generate a new openPGP keyring, it didn't add a subkey by default
Status: RESOLVED FIXED
Alias: None
Product: kleopatra
Classification: Applications
Component: general (show other bugs)
Version: 2.2.0
Platform: unspecified Linux
: NOR normal with 1 vote (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-21 16:33 UTC by Tong Hui
Modified: 2015-08-05 14:01 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.14.10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tong Hui 2015-01-21 16:33:58 UTC
From GnuPG 1.4.0, when generate new keyring, it will add a subkey by default. However Kleopatra not add that subkey.

Reproducible: Always

Steps to Reproduce:
1. Generate new OpenPGP keyring
2. Exam the new keyring, no subkey added during the generation process
3. Compare with other GnuPG GUI softwares (KGpg \ Seahorse \ GPA), they all generate a subkey by default.  

Actual Results:  
No subkey generated. 


Expected Results:  
By default, from GnuPG 1.4.0, gpg will generate a subkey when generate a new gpg keyring. 

For security reason, it is better to generate a subkey by default. Or give a additional method for user to add a subkey after generate keyring.  

GnuPG 1.4.18
GnuPG 2.0.26
Debian 7/8 
Fedora 21
Comment 1 Daniel Kahn Gillmor 2015-02-17 19:49:13 UTC
This is a problem, and Kleopatra needs to change.   It's especially problematic because kleopatra doesn't offer a way to create subkeys, so there is no workaround.
Comment 2 Andre Heinecke 2015-08-05 14:01:54 UTC
This was fixed with commit 61c335853895e50bec7c749dcd505200e96d0521